<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>
            {{ list.name }}
        </h1>
        <p>
            <a href="{% url 'todo_list_update' list.id %}">Edit</a>
        </p>
        <p>
            <a href="{% url 'todo_list_delete' list.id %}">Delete</a>
        </p>
        <p>
            <a href="{% url 'todo_item_update' list.id %}">Update an item</a>
        </p>
        <h2>
            Tasks
        </h2>
      <table>
        <thead>
            <tr>
                <th>Task</th>
                <th>Due Date</th>
            </tr>
        </thead>
        <tbody>
            {% for item in list.items.all %}
            <tr>
               <td>{{ item.task }}</td>
              <td>{{ item.due_date |date:"M d, Y" }}</td>
           </tr>
           {% endfor %}
        </tbody>
      </table>
    </div>
  </main>
  </body>
</html>
